Bug 211288 - audio/cmus: Update to 2.7.1, Use OPTIONS helpers, Install completion files
Summary: audio/cmus: Update to 2.7.1, Use OPTIONS helpers, Install completion files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/cmus/cmus/releases
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-22 07:17 UTC by Tobias Kortkamp
Modified: 2016-09-09 19:23 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-
pi: merge-quarterly-


Attachments
cmus.diff (13.92 KB, patch)
2016-07-22 07:17 UTC, Tobias Kortkamp
no flags Details | Diff
cmus-quarterly.diff (11.07 KB, patch)
2016-07-26 10:31 UTC, Tobias Kortkamp
tobik: maintainer-approval? (herbert)
Details | Diff
cmus.diff (13.94 KB, patch)
2016-07-27 18:02 UTC, Tobias Kortkamp
no flags Details | Diff
cmus.diff (14.61 KB, patch)
2016-08-03 14:45 UTC, Tobias Kortkamp
no flags Details | Diff
cmus.diff (15.42 KB, patch)
2016-08-03 15:26 UTC, Tobias Kortkamp
no flags Details | Diff
cmus.diff (16.47 KB, patch)
2016-08-16 05:34 UTC, Tobias Kortkamp
tobik: maintainer-approval? (herbert)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-07-22 07:17:48 UTC
Created attachment 172827 [details]
cmus.diff

Besides updating cmus to 2.7.1 the attached patch also simplifies port options using option helpers, and installs cmus' bash and zsh completion files.  See URL for changes since 2.6.0.  I'd also like to take maintainership if that is ok.

The port builds fine in a FreeBSD 9.3/i386 Poudriere jail and also passes portlint.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-22 10:38:45 UTC
Thanks Tobias

If you can, please separate the proposed changes into two patches, one for the changes/fixes, the other for the version update so the former can be merged to the quarterly branch and users
Comment 2 Tobias Kortkamp freebsd_committer 2016-07-26 10:31:36 UTC
Created attachment 172991 [details]
cmus-quarterly.diff

(In reply to Kubilay Kocak from comment #1)
Here is a patch against the quarterly branch which adds options helpers and installs the zsh completion file (there is no bash completion file in cmus 2.6.0).

Tested in Poudriere FreeBSD 10.3/amd64 twice (once with default options, once with all options enabled).  Passes portlint.
Comment 3 Tobias Kortkamp freebsd_committer 2016-07-27 18:02:39 UTC
Created attachment 173055 [details]
cmus.diff

Regen cmus.diff after ports r419133 so it can be applied again.
Comment 4 Tobias Kortkamp freebsd_committer 2016-08-03 14:45:27 UTC
Created attachment 173230 [details]
cmus.diff

Small update to add an SNDIO option now that audio/sndio is committed.
Comment 5 Tobias Kortkamp freebsd_committer 2016-08-03 15:26:03 UTC
Created attachment 173232 [details]
cmus.diff

Forgot to svn add a patch.
Comment 6 Tobias Kortkamp freebsd_committer 2016-08-16 05:34:25 UTC
Created attachment 173722 [details]
cmus.diff

Update to include a patch (already sent to and committed upstream) to fix playing 24/32-bit encoded files with sndio.
Comment 7 Kurt Jaeger freebsd_committer 2016-08-26 08:02:24 UTC
testbuilds are OK, thanks!
Comment 8 commit-hook freebsd_committer 2016-08-26 08:02:51 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 26 08:02:06 UTC 2016
New revision: 420903
URL: https://svnweb.freebsd.org/changeset/ports/420903

Log:
  audio/cmus: 2.6.0 -> 2.7.1

  - change to option helpers
  - installs bash and zsh completion files
  - now plays 24/32-bit encoded files with sndio

  PR:		211288
  Submitted by:	t@tobik.me
  Approved by:	h.skuhra@gmail.com (maintainer timeout)

Changes:
  head/audio/cmus/Makefile
  head/audio/cmus/distinfo
  head/audio/cmus/files/patch-Makefile
  head/audio/cmus/files/patch-configure
  head/audio/cmus/files/patch-mp4.c
  head/audio/cmus/files/patch-scripts_checks.sh
  head/audio/cmus/files/patch-sndio.c
  head/audio/cmus/pkg-descr
  head/audio/cmus/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2016-08-26 09:36:47 UTC
The MFH changes the port for OPTIONS etc, but no functional changes, so
does it really need MFH ? Would it be policy-OK to MFH ?
Comment 10 Kurt Jaeger freebsd_committer 2016-09-09 19:23:58 UTC
MFH is not high on the priority with a new quarterly coming up.